## dislocker 0.6.1

=== debian/changelog ===
dislocker (0.6.1-6mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 29 Jun 2016 15:10:55 -0700

dislocker (0.6.1-6) unstable; urgency=medium

  * Upload to unstable.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 19 Jun 2016 21:49:00 -0300

dislocker (0.6.1-5) experimental; urgency=medium

  * debian/libdislocker0.6.symbols:
      - Removed more symbols to fix compilation.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 01 May 2016 20:25:55 -0300

dislocker (0.6.1-4) experimental; urgency=medium

  * debian/libdislocker0.6.symbols:
      - Removed some symbols to fix compilation in s390x architecture.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 01 May 2016 17:48:55 -0300

dislocker (0.6.1-3) experimental; urgency=medium

  * debian/libdislocker0.6.symbols:
      - Removed some symbols to fix compilation with GCC 6 now.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 01 May 2016 14:04:29 -0300

dislocker (0.6.1-2) experimental; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.8.
  * debian/libdislocker0.6.symbols:
      - Removed some symbols to fix compilation.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 30 Apr 2016 22:26:25 -0300

dislocker (0.6.1-1) experimental; urgency=medium

  * Initial release (Closes: #816847)

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 12 Mar 2016 16:21:07 -0300
