=== debian/control ===
Source: dislocker
Section: utils
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Giovani Augusto Ferreira <giovani@riseup.net>
Build-Depends: cmake,
               debhelper (>=9),
               libfuse-dev | libfuse-hurd-dev,
               libmbedtls-dev,
               ruby-dev
Standards-Version: 3.9.8
Homepage: https://github.com/Aorimn/dislocker
Vcs-Git: https://anonscm.debian.org/git/forensics/dislocker.git
Vcs-Browser: https://anonscm.debian.org/git/forensics/dislocker.git

Package: libdislocker0.6
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: read/write encrypted BitLocker volumes (shared library)
 Dislocker has been designed to read BitLocker encrypted partitions under
 a Linux system. The driver is used to read volumes encrypted in Windows system
 versions of Vista to 10, plus BitLocker-To-Go encrypted partitions--that's
 USB/FAT32 partitions.
 .
 The software works with a driver composed of a library, with multiple binaries
 using this library. Decrypting the partition, you have to give it a mount
 point where, once the keys are decrypted, a file named dislocker-file appears.
 This file is a virtual NTFS partition, so you can mount it as any NTFS
 partition and then read or write to it. Writing to the NTFS virtual file will
 change the underlying BitLocker partition content.
 .
 This package provides the runtime library.

Package: libdislocker0-dev
Architecture: any
Section: libdevel
Depends: libdislocker0.6 (= ${binary:Version}), ${misc:Depends}
Description: read/write encrypted BitLocker volumes (development files)
 Dislocker has been designed to read BitLocker encrypted partitions under
 a Linux system. The driver is used to read volumes encrypted in Windows system
 versions of Vista to 10, plus BitLocker-To-Go encrypted partitions--that's
 USB/FAT32 partitions.
 .
 The software works with a driver composed of a library, with multiple binaries
 using this library. Decrypting the partition, you have to give it a mount
 point where, once the keys are decrypted, a file named dislocker-file appears.
 This file is a virtual NTFS partition, so you can mount it as any NTFS
 partition and then read or write to it. Writing to the NTFS virtual file will
 change the underlying BitLocker partition content.
 .
 This package provides the development files.

Package: dislocker
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ruby
Description: read/write encrypted BitLocker volumes
 Dislocker has been designed to read BitLocker encrypted partitions under
 a Linux system. The driver is used to read volumes encrypted in Windows system
 versions of Vista to 10, plus BitLocker-To-Go encrypted partitions--that's
 USB/FAT32 partitions.
 .
 The software works with a driver composed of a library, with multiple binaries
 using this library. Decrypting the partition, you have to give it a mount
 point where, once the keys are decrypted, a file named dislocker-file appears.
 This file is a virtual NTFS partition, so you can mount it as any NTFS
 partition and then read or write to it. Writing to the NTFS virtual file will
 change the underlying BitLocker partition content.
 .
 This tool is useful in cryptography managing and forensics investigations.
