## dislocker 0.7.1

=== debian/changelog ===
dislocker (0.7.1-5) unstable; urgency=medium

  [ Giovani Augusto Ferreira ]
  * Bumped DH level to 12
  * Bumped Standards version to 4.4.1
  * debian/control:
      - Added the field Rules-Requires-Root: binary-targets.
  * debian/copyright: Updated years and rights
  * debian/patches/*:
      - Added new patches to support Support Windows 10 1903 and
        fix build issues.Thanks to haobinnan <haobinnan@gmail.com>
        for the patches. (Closes: #944422)
      - Updated patch headers
  * debian/salsa-ci.yml: Allow reprotest to fail temporarily
  * debian/upstream/matadata: added upstream metadata file

  [ Samuel Henrique ]
  * Add salsa-ci.yml

 -- Giovani Augusto Ferreira <giovani@debian.org>  Thu, 14 Nov 2019 16:25:03 -0300

dislocker (0.7.1-4) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Hilko Bengen ]
  * Remove included FindRuby.cmake, so that up-to-date standard
    FindRuby.cmake is used (Closes: #895205)

  [ Giovani Augusto Ferreira ]
  * Bumped Standards-Version to 4.1.4
  * Bumped DH level to 11
  * Updated Debian copyright years
  * Added a head for the patch

 -- Giovani Augusto Ferreira <giovani@debian.org>  Wed, 16 May 2018 19:30:40 -0300

dislocker (0.7.1-3) unstable; urgency=medium

  * debian/control:
      - Updated the Replaces+Breaks fields on libdislocker0.7 to avoid
        fails in upgrade from previous version. (Closes: #874418)
      - Removed entry to the libdislocker0.6 transitional package,
        this is useless.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Wed, 13 Sep 2017 00:10:02 -0300

dislocker (0.7.1-2) unstable; urgency=medium

  * debian/control:
      - Added a transition package for libdislocker0.6. (Closes: #873679)
      - Bumped Standards-Version to 4.0.1.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Thu, 31 Aug 2017 00:14:16 -0300

dislocker (0.7.1-1) unstable; urgency=medium

  * New upstream release, fixing FTBFS with GCC-7 (Closes: #858754, #853374)
  * Updated my email address.
  * debian/control:
      - Bumped Standards-Version to 4.0.0.
  * debian/copyright: updated the copyright year in the packaging paragraph.
  * debian/patches/fix-spelling.patch:
      - Updated to new source code.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 20 Aug 2017 22:40:11 -0300

dislocker (0.6.1-7) unstable; urgency=medium

  * debian/libdislocker0.6.links:
      - Added the entry for the usr/lib/libdislocker.so temporarily
        to fix library call. (See: #840489)
  * debian/rules: added override_dh_makeshlibs to provide the right package
      version to dpkg-gensymbols.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 17 Dec 2016 11:24:31 -0200
