=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


DESTDIRBIN=$(CURDIR)/debian/dislocker
DESTDIRLIB=$(CURDIR)/debian/libdislocker0.7
TEMPDEB=$(CURDIR)/debian/tmp

export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)

%:
	dh $@ --buildsystem=cmake --sourcedirectory=. --builddirectory=.

override_dh_install-arch:
	dh_install
	cp $(TEMPDEB)/usr/lib/libdislocker.so.0.7.1 \
	   $(DESTDIRLIB)/usr/lib/
	cp -r $(TEMPDEB)/usr/bin $(DESTDIRBIN)/usr/
	cp -r $(TEMPDEB)/usr/share $(DESTDIRBIN)/usr/

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(PVER)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf CMakeFiles src/CMakeFiles
	find $(CURDIR)/man -name '*gz' -exec rm -f {} \;
