=== debian/watch ===
version=4
https://github.com/Aorimn/dislocker/releases .*/v?(\d\S*)\.tar\.(?:bz2|gz|xz)
