## dislocker 0.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 set (VERSION_MAJOR 0)
 set (VERSION_MINOR 7)
-set (VERSION_RELEASE 1)
+set (VERSION_RELEASE 2)
 set (VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}")
 
 add_subdirectory (${PROJECT_SOURCE_DIR}/src)
