=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,17 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
 # USA.
 
+set(_Ruby_DEBUG_OUTPUT ON)
+
 if("${CMAKE_SOURCE_DIR}" MATCHES "src/?$")
 	message(FATAL_ERROR "\nPlease execute cmake from the directory above, not the src/ directory.")
 	return()
+endif()
+
+# On OSX, frameworks are found before installed libraries (cf. https://gitlab.kitware.com/cmake/cmake/-/issues/16427)
+if("${CMAKE_SYSTEM_NAME}" STREQUAL "Darwin")
+	set(CMAKE_FIND_FRAMEWORK Last)
+	message(STATUS "CMAKE_FIND_FRAMEWORK='${CMAKE_FIND_FRAMEWORK}'")
 endif()
 
 add_definitions (-DPROGNAME="${PROJECT_NAME}")
@@ -115,16 +123,16 @@
 find_package (PolarSSL REQUIRED)
 if(POLARSSL_FOUND  AND  POLARSSL_INCLUDE_DIRS  AND  POLARSSL_LIBRARIES)
 	include_directories (${POLARSSL_INCLUDE_DIRS})
-	set (LIB "${LIB} ${POLARSSL_LIBRARIES}")
+	set (LIB ${LIB} ${POLARSSL_LIBRARIES})
 	configure_file (${PROJECT_SOURCE_DIR}/include/dislocker/ssl_bindings.h.in ${PROJECT_SOURCE_DIR}/include/dislocker/ssl_bindings.h ESCAPE_QUOTES @ONLY)
 else()
 	return ()
 endif()
 
 find_package (Ruby)
-if(RUBY_FOUND  AND  RUBY_INCLUDE_DIRS  AND  RUBY_LIBRARIES)
+if(RUBY_FOUND  AND  RUBY_INCLUDE_DIRS  AND  RUBY_LIBRARY)
 	include_directories (${RUBY_INCLUDE_DIRS})
-	set (LIB "${LIB} ${RUBY_LIBRARIES}")
+	set (LIB ${LIB} ${RUBY_LIBRARY})
 	add_definitions (-D_HAVE_RUBY=${RUBY_VERSION_STRING})
 	set (SOURCES ${SOURCES} ruby.c)
 endif()
@@ -132,7 +140,7 @@
 find_package (FUSE)
 if(FUSE_FOUND  AND  FUSE_INCLUDE_DIRS  AND  FUSE_LIBRARIES)
 	include_directories (${FUSE_INCLUDE_DIRS})
-	set (LIB "${LIB} ${FUSE_LIBRARIES}")
+	set (LIB ${LIB} ${FUSE_LIBRARIES})
 endif()
 
 # Places
