=== debian/changelog ===
dislocker (0.7.3-2~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 May 2021 11:55:23 -0700

dislocker (0.7.3-2) unstable; urgency=medium

  * debian/tests/*: created to provide trivial tests.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Fri, 29 Jan 2021 15:04:58 -0300

dislocker (0.7.3-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields:
      Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints. + libdislocker0-dev: Add Multi-Arch: same.

  [ Giovani Augusto Ferreira ]
  * New upstream version 0.7.3
  * Bumped DH level to 13.
  * Bumped standards version to 4.5.1, no changes needed.
  * Refresh patches: removed patches that are now in upstream release.
  * debian/control:
      - Fixed typo and updated long description.
      - Moved Ruby to Recommends. (Closes: #977995)
      - Set Multi-Arch into libdislocker0-dev as foreign.
  * debian/copyright: updated packaging years.
  * debian/libdislocker0.7.symbols: updated to new upstream version.
  * debian/rules: updated override to move files.
  * run wrap-and-sort

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian

 -- Giovani Augusto Ferreira <giovani@debian.org>  Fri, 29 Jan 2021 13:14:19 -0300
