=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: dislocker
 Section: utils
 Priority: optional
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
 Build-Depends: cmake,
                debhelper-compat (=12),
                libfuse-dev | libfuse-hurd-dev,
                libmbedtls-dev,
                ruby-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: binary-targets
 Homepage: https://github.com/Aorimn/dislocker
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dislocker.git
@@ -23,7 +24,7 @@
 Description: read/write encrypted BitLocker volumes (shared library)
  Dislocker has been designed to read BitLocker encrypted partitions under
  a Linux system. The driver used to read volumes encrypted in Windows system
- versions of the Vista to 10 and BitLocker-To-Go encrypted partitions,that's
+ versions of the Vista to 10 and BitLocker-To-Go encrypted partitions, that's
  USB/FAT32 partitions.
  .
  The software works with driver composed of a library, with multiple binaries
@@ -39,10 +40,11 @@
 Architecture: any
 Section: libdevel
 Depends: libdislocker0.7 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: foreign
 Description: read/write encrypted BitLocker volumes (development files)
  Dislocker has been designed to read BitLocker encrypted partitions under
  a Linux system. The driver used to read volumes encrypted in Windows system
- versions of the Vista to 10 and BitLocker-To-Go encrypted partitions,that's
+ versions of the Vista to 10 and BitLocker-To-Go encrypted partitions, that's
  USB/FAT32 partitions.
  .
  The software works with driver composed of a library, with multiple binaries
@@ -56,11 +58,12 @@
 
 Package: dislocker
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ruby
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: ruby
 Description: read/write encrypted BitLocker volumes
  Dislocker has been designed to read BitLocker encrypted partitions under
  a Linux system. The driver used to read volumes encrypted in Windows system
- versions of the Vista to 10 and BitLocker-To-Go encrypted partitions,that's
+ versions of the Vista to 10 and BitLocker-To-Go encrypted partitions, that's
  USB/FAT32 partitions.
  .
  The software works with driver composed of a library, with multiple binaries
@@ -68,6 +71,7 @@
  point where, once keys are decrypted, a file named dislocker-file appears.
  This file is a virtual NTFS partition, so you can mount it as any NTFS
  partition and then read from or write to it. Writing to the NTFS virtual
- file will change the underlying BitLocker partition content.
+ file will change the underlying BitLocker partition content. To use
+ dislocker-find Ruby is required.
  .
  This tool is useful in cryptography managing and forensics investigations.
