=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,10 @@
 
 override_dh_install-arch:
 	dh_install
-	cp $(TEMPDEB)/usr/lib/libdislocker.so.0.7.1 \
+	mv $(TEMPDEB)/usr/lib/libdislocker* \
 	   $(DESTDIRLIB)/usr/lib/
-	cp -r $(TEMPDEB)/usr/bin $(DESTDIRBIN)/usr/
-	cp -r $(TEMPDEB)/usr/share $(DESTDIRBIN)/usr/
+	mv $(TEMPDEB)/usr/bin $(DESTDIRBIN)/usr/
+	mv $(TEMPDEB)/usr/share $(DESTDIRBIN)/usr/
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(PVER)
@@ -25,3 +25,6 @@
 	dh_auto_clean
 	rm -rf CMakeFiles src/CMakeFiles
 	find $(CURDIR)/man -name '*gz' -exec rm -f {} \;
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
