=== debian/tests/control ===
Test-Command: dislocker-fuse -h 2>&1 | egrep -i dislocker
Restrictions: superficial
