## dislocker 0.7.3%2Bgit20240607

=== debian/changelog ===
dislocker (0.7.3+git20240607-3~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert renaming libraries for 64-bit time_t transition.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 31 Jul 2025 12:00:06 -0700

dislocker (0.7.3+git20240607-3) unstable; urgency=medium

  * Team upload.
  * d/p/*:
    - wrong-libdir.patch: Remove duplicated phrase from description
    - Add patch to always pick the Linux-specific manpage sources
      (Closes: #873530).
    - Add patch fixing use of File.exists removed with Ruby 3.2.0.
    - Add patch correcting detection of PolarSSL version (Closes: #1087365).
    - Add patch updating to fuse3 (Closes: #1084457).
  * d/t/control: Add superficial test for dislocker-find to check Ruby code.
  * d/control, Build-Depends:
    - Drop non-existent package libfuse-hurd-dev.
    - Update libfuse-dev to libfuse3-dev.
  * d/copyright: Update copyright years where appropriate.
  * d/libdislocker0.7t64.lintian-overrides: Removed, not needed anymore.
  * d/salsa-ci-yml:
    - Disallow reprotest failures.
    - Add variable SALSA_CI_DISABLE_BUILD_PACKAGE_ALL.

 -- Sven Geuer <sge@debian.org>  Tue, 11 Feb 2025 16:13:38 +0100

dislocker (0.7.3+git20240607-2) unstable; urgency=medium

  * Team upload.
  * Make sure the dislocker package requires its library of the same version.
  * d/changelog: remove trailing whitespace in previous changelog entry.

 -- Sven Geuer <sge@debian.org>  Thu, 26 Sep 2024 15:22:05 +0200

dislocker (0.7.3+git20240607-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Update watch file to look for tags instead of releases. Upstream
    does not provide releases.
  * New upstream snapshot 0.7.3+git20240607 (Closes: #1074631).
  * d/p/*:
    - Refresh fix-spelling.patch and wrong-libdir.patch.
    - Drop fix-lib-path.patch. It was missing from d/p/series and is
      superseded by wrong-libdir.patch.
    - Drop fix-ruby3.0.patch, applied upstream.
  * Add patch to correct the name of the shared library and the version
    reported by dislocker.
  * d/libdislocker0.7t64.links: Let the links point to the corrected shared
    library name.
  * d/libdislocker0.7t64.symbols: Add a new symbol and update a changed one.
  * d/control:
    - Add new dependency pkgconf to Build-Depends.
    - Bump Standards-Version to 4.7.0.
  * d/t/control: Extend test to show more details and to check the reported
    version.
  * d/copyright: Add missing copyright holders.

 -- Sven Geuer <sge@debian.org>  Fri, 06 Sep 2024 22:54:46 +0200

dislocker (0.7.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 21:32:10 +0000

dislocker (0.7.3-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/wrong-libdir.patch: created to fix a FTBFS on a
    build environment that's usrmerge'd. Thanks to Steve Langasek
    <steve.langasek@canonical.com>. (Closes: #1017937)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 27 Feb 2023 14:51:20 -0300

dislocker (0.7.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patch to fix build against ruby3.0 (Closes: #1001217)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 26 Feb 2022 12:29:12 -0300
