## dislocker 0.7.3%2Bgit20250907

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 
 DESTDIRBIN=$(CURDIR)/debian/dislocker
-DESTDIRLIB=$(CURDIR)/debian/libdislocker0.7
+DESTDIRLIB=$(CURDIR)/debian/libdislocker0.7t64
 TEMPDEB=$(CURDIR)/debian/tmp
 
 export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)
@@ -20,11 +20,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(PVER)
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf CMakeFiles src/CMakeFiles
-	find $(CURDIR)/man -name '*gz' -exec rm -f {} \;
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
