=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: dislocker
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
-Build-Depends: cmake,
-               debhelper-compat (=12),
+Build-Depends: dpkg-dev (>= 1.22.5), cmake,
+               debhelper-compat (=13),
                libfuse-dev | libfuse-hurd-dev,
                libmbedtls-dev,
+               pkgconf,
                ruby-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: binary-targets
 Homepage: https://github.com/Aorimn/dislocker
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dislocker.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dislocker
 
-Package: libdislocker0.7
+Package: libdislocker0.7t64
+Provides: ${t64:Provides}
 Section: libs
 Architecture: any
-Replaces: libdislocker0.6 (<< 0.7~)
-Breaks: libdislocker0.6 (<< 0.7~)
+Replaces: libdislocker0.7, libdislocker0.6 (<< 0.7~)
+Breaks: libdislocker0.7 (<< ${source:Version}), libdislocker0.6 (<< 0.7~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: read/write encrypted BitLocker volumes (shared library)
  Dislocker has been designed to read BitLocker encrypted partitions under
@@ -39,7 +40,7 @@
 Package: libdislocker0-dev
 Architecture: any
 Section: libdevel
-Depends: libdislocker0.7 (= ${binary:Version}), ${misc:Depends}
+Depends: libdislocker0.7t64 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: foreign
 Description: read/write encrypted BitLocker volumes (development files)
  Dislocker has been designed to read BitLocker encrypted partitions under
@@ -58,7 +59,8 @@
 
 Package: dislocker
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libdislocker0.7t64 (= ${binary:Version}),
+         ${misc:Depends}, ${shlibs:Depends}
 Recommends: ruby
 Description: read/write encrypted BitLocker volumes
  Dislocker has been designed to read BitLocker encrypted partitions under
