=== debian/tests/control ===
Test-Command: dislocker-fuse -h 2>&1 && { dislocker-fuse -h 2>&1 | grep "^dislocker by Romain Coltel, v$(grep -m1 -o -E '[0-9]+(\.[0-9]+)+' debian/changelog)"; } 
Restrictions: superficial
